Page MenuHomePhabricator

Recover missing values from user_properties tables
Closed, DuplicatePublic

Description

There are some missing properties from the user preferences tables. Reimport them from the backups.

Event Timeline

jcrespo created this task.Oct 7 2015, 3:44 PM
jcrespo raised the priority of this task from to Needs Triage.
jcrespo updated the task description. (Show Details)
jcrespo added subscribers: jcrespo, demon.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 7 2015, 3:44 PM

Due to the time that has passed since the values were lost, we are only going to reimport the missing values for now, to avoid annoying users again that may have already changed their preferences.

Change 244190 had a related patch set uploaded (by Chad):
[WIP] Add script to select old user_properties entries from backup

https://gerrit.wikimedia.org/r/244190

After inspecting the current state of the table, we believe that insert will not have any noticible effect, due to changes done since the change took effect. At this time, recovering the tables may have a worse effect in terms of user affection than not doing anything.

We can recover preferences on an individual bases, though, if they have not been changed since the commit.

Change 244190 abandoned by Chad:
[WIP] Add script to select old user_properties entries from backup

Reason:
Per https://phabricator.wikimedia.org/T114899#1709471

https://gerrit.wikimedia.org/r/244190

https://gerrit.wikimedia.org/r/#/c/244190/ was created for this task, and abandoned.

Having a timestamp on user preferences last_modified would had helped on this issue, knowing which preferences are "new" and "old".

demon closed this task as Resolved.Oct 21 2015, 6:17 PM
demon claimed this task.

We can recover preferences on an individual bases, though, if they have not been changed since the commit.

I'm closing this out as it's been about two weeks with no further requests that I've heard for action.

hashar added a subscriber: hashar.
Ciencia_Al_Poder changed the task status from Resolved to Declined.Nov 5 2015, 9:35 PM
Ciencia_Al_Poder set Security to None.